<?php
/**
 *
 * @author  emanuele
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	Endless
 *
 */ 

if (!defined('ELK'))
	die('No access...');

require_once(CONTROLLERDIR . '/Display.controller.php');

/**
 * This controller is the most important and probably most accessed of all.
 * It controls topic display, with all related.
 */
class Endless_Controller extends Display_Controller
{
	/**
	 * Default action handler for this controller
	 */
	public function action_index()
	{
		global $db_show_debug;

		$this->action_display();
		Template_Layers::getInstance()->removeAll();

		// No darn debugs here!!!
		$db_show_debug = false;
	}
}