/**
 *
 * @author  emanuele
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	Endless
 *
 */ 

(function ($) {
	var $current_page = $('.pagelinks .current_page').parent();
		url = $current_page.next().find('a').attr('href'),
		end = false;

	$(document).ready(function () {
		if (!url)
			return;

		var $arrow = $('<i class="fa fa-angle-double-down" />'),
			$text = $('<span />').text('load moar').append($arrow).prepend($arrow.clone()),
			$expand = $('<div class="category_header endless"/>').append($text);

		$('#forumposts').after($expand);

		$expand.click(function(e) {
			e.preventDefault();

			if (end || !url)
				return;

			url = $current_page.next().find('a').attr('href')

			var split_url = url.split('?');
			loadPosts(elk_scripturl + "?action=endless;" + split_url[1]);
		});
	});

	function loadPosts(url)
	{
		$.ajax({
			url: url,
			type: "get",
		})
		.done(function(request) {
			var $r = $(request);
			$r.hide();
			$('#quickModForm').append($r.fadeIn('slow'));
			$('#quickModForm').find('.post_separator').css({display: 'none'});

			oQuickModify = new QuickModify(oQuickModify.getOptions());

			$current_page = $current_page.next();
			if ($current_page.find('.next_page').length > 0 || $current_page.find('.all_pages').length > 0)
				end = true;

			var $next_page = $current_page.next();
			if ($next_page.hasClass('expand_pages'))
			{
				$next_page.click();
			}

			$current_page.children().addClass('current_page');
		})
		.fail(function(error) {
		});
	}
})($);

QuickModify.prototype.getOptions = function() {
	return this.opt;
}